Bug 1205082 - Split perl utilities out to a sub package
Summary: Split perl utilities out to a sub package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1346768
TreeView+ depends on / blocked
 
Reported: 2015-03-24 08:32 UTC by Peter Robinson
Modified: 2017-02-09 20:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 20:55:36 UTC


Attachments (Terms of Use)
Split perl utilities into a dedicated -perl subpackage (4.51 KB, patch)
2015-03-24 08:32 UTC, Peter Robinson
no flags Details | Diff

Description Peter Robinson 2015-03-24 08:32:09 UTC
Created attachment 1005734 [details]
Split perl utilities into a dedicated -perl subpackage

The core mariadb server and client aren't dependent on perl to run. It would be useful in a number of use cases to be able to install them without a perl stack too.

Attached is an initial possible patch to split the perl utilities out to a separate -perl subpackage

Comment 1 Peter Robinson 2015-06-12 13:54:46 UTC
Any feedback?

Comment 2 Honza Horak 2015-06-12 15:24:54 UTC
Sorry, I've somehow missed this..

Well, I like the idea to get rid of the perl dependencies, although I wouldn't call the subpackage 'perl' and rather to generally include less-used utilities into that subpackage. So the subpackage could be called e.g. 'server-utils' and would include all non-essential utilities (including all the perl scripts).

However, I'd rather consult this with the upstream first, since if they by any chance plan to re-implement more utilities in perl, instead of bash, then it wouldn't be a good idea to try get rid of perl dependencies.. Also, we got quite close to upstream rpm layout with our packages, which makes it easier for users to use them.. So, I'd like to see the same subpackage in the upstream rpms as well.

Jakub, what do you think?

Comment 3 Peter Robinson 2015-06-12 15:50:31 UTC
From my PoV I'm not bothered what it's called or the exact implementation details if it achieves the same outcome.

Comment 4 Jakub Dorňák 2015-07-07 17:56:27 UTC
I think that many users may expect mariadb package to provide common set of tools. It may be more appreciated than lack of perl dependencies.

Also I wouldn't be sure which tools to pack separately and which to include.
The language the tools are written in is not the right key. It is irrelevant from users POV and it may change any time in the future.

Comment 5 Peter Robinson 2015-07-07 19:11:58 UTC
I completely disagree, there a lot of initiative to reduce dependencies due to cloud images, micro services and security and looking at the list of "tools" included that that depend on perl they tend to be some what corner case and would fit just fine in sub packages (or redeveloped). It's been bought up a number of times. Look at the thread recently of splitting out the perl deps from something like git.

Comment 6 Honza Horak 2015-07-10 06:52:48 UTC
I think we can use weak dependencies here [1]. Just quick idea from top of my head: mariadb-server will include Recommends: mariadb-server-tools.

Using this way the tools will be still available for users, but wouldn't be necessarily installed if not required (where we want to avoid perl dependency).

The crucial question is still which tools we can make optional though, this must be consulted with upstream, as already mentioned.

[1] https://fedoraproject.org/wiki/Packaging:WeakDependencies

Comment 7 Fedora End Of Life 2016-07-19 13:10:26 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Honza Horak 2016-08-08 13:14:33 UTC
I think we should still look into this.

Comment 9 Peter Robinson 2016-08-08 14:07:40 UTC
(In reply to Honza Horak from comment #8)
> I think we should still look into this.

Agreed, although I don't think weak dependencies is the way to do it, I think it's much better dealing with it explicitly for service oriented package sets.

Comment 10 Fedora Admin XMLRPC Client 2016-11-15 10:32:06 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Fedora Update System 2017-01-27 11:40:05 UTC
mariadb-10.1.21-1.fc24 mariadb-10.1.21-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f44f2b8c8

Comment 12 Fedora Update System 2017-01-27 11:47:16 UTC
mariadb-10.1.21-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f44f2b8c8

Comment 13 Fedora Update System 2017-01-27 11:48:53 UTC
mariadb-10.1.21-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-801e01d1ed

Comment 14 Fedora Update System 2017-01-29 02:21:20 UTC
mariadb-10.1.21-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f44f2b8c8

Comment 15 Fedora Update System 2017-01-29 02:22:06 UTC
mariadb-10.1.21-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-801e01d1ed

Comment 16 Fedora Update System 2017-02-09 04:21:36 UTC
mariadb-10.1.21-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-02-09 20:49:55 UTC
mariadb-10.1.21-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.